Bug 122685 - ATI Radeon 9100 IGP not detect during install
ATI Radeon 9100 IGP not detect during install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 18:20 EDT by Ian Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 17:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -vvn (7.08 KB, text/plain)
2004-07-16 05:04 EDT, Ian Anderson
no flags Details

  None (edit)
Description Ian Anderson 2004-05-06 18:20:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
During install Radeon 9100 IGP (ASUS P4R800-VM motherboard) in
detected as VESA generic.

After install, xorg.conf can be edited and the driver can be changed
from "vesa" to "radeon".  Card then works with proper driver. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Fedora Core test3
2.
3.
    

Actual Results:  Card was detected as vesa generic

Expected Results:  Card should have been detected as Radeon 9100 IGP
(RS300)

Additional info:
Comment 1 Ian Anderson 2004-07-15 11:53:59 EDT
Same problem under FC3 test1
Comment 2 Mike A. Harris 2004-07-15 22:35:48 EDT
In order to map the chip's PCI ID to the radeon driver, we need
the PCI device ID.  Please provide the output of "lspci -vvn" for
this chip, and we'll add a mapping for it.

Thanks for the report.
Comment 3 Ian Anderson 2004-07-16 05:04:02 EDT
Created attachment 101954 [details]
Output of lspci -vvn

As requested
Comment 4 Mike A. Harris 2004-07-16 06:20:12 EDT
This is filed against Fedora Core "test3".  There is no Fedora
Core test3 currently however.  Are you using Fedora Core 1, Fedora
Core 2, or Fedora Core 3 test1?
Comment 6 Ian Anderson 2004-07-16 08:17:55 EDT
Problem appears in Fedora Core 2 test3, Fedora Core 2 Final and 
Fedora Core 3 test1.
Comment 7 Mike A. Harris 2004-07-16 08:26:22 EDT
Ok, thanks for the prompt reply.  Once I return from OLS, I will
investigate fixing this for FC3, and also investigate adding it
to the next FC2 updates.

Thanks for the report.
Comment 8 Bill Nottingham 2004-09-17 17:30:58 EDT
Should be fixed in hwdata-0.131-1.
Comment 9 Ian Anderson 2004-10-16 08:21:47 EDT
Confirmed fixed in FC3 test3.

Note You need to log in before you can comment on or make changes to this bug.